Upstream information

CVE-2021-27379 at MITRE

Description

An issue was discovered in Xen through 4.11.x, allowing x86 Intel HVM guest OS users to achieve unintended read/write DMA access, and possibly cause a denial of service (host OS crash) or gain privileges. This occurs because a backport missed a flush, and thus IOMMU updates were not always correct. NOTE: this issue exists because of an incomplete fix for CVE-2020-15565.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.9
Vector AV:L/AC:M/Au:N/C:P/I:P/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.9
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:L/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1182431 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • xen >= 4.9.4_16-3.83.1
  • xen-doc-html >= 4.9.4_16-3.83.1
  • xen-libs >= 4.9.4_16-3.83.1
  • xen-libs-32bit >= 4.9.4_16-3.83.1
  • xen-tools >= 4.9.4_16-3.83.1
  • xen-tools-domU >= 4.9.4_16-3.83.1
Patchnames:
HPE-Helion-OpenStack-8-2021-1252
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • xen >= 4.10.4_24-3.56.1
  • xen-devel >= 4.10.4_24-3.56.1
  • xen-libs >= 4.10.4_24-3.56.1
  • xen-tools >= 4.10.4_24-3.56.1
  • xen-tools-domU >= 4.10.4_24-3.56.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-1250
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • xen >= 4.7.6_14-43.76.1
  • xen-doc-html >= 4.7.6_14-43.76.1
  • xen-libs >= 4.7.6_14-43.76.1
  • xen-libs-32bit >= 4.7.6_14-43.76.1
  • xen-tools >= 4.7.6_14-43.76.1
  • xen-tools-domU >= 4.7.6_14-43.76.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2021-1268
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • xen >= 4.7.6_14-43.76.1
  • xen-doc-html >= 4.7.6_14-43.76.1
  • xen-libs >= 4.7.6_14-43.76.1
  • xen-libs-32bit >= 4.7.6_14-43.76.1
  • xen-tools >= 4.7.6_14-43.76.1
  • xen-tools-domU >= 4.7.6_14-43.76.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2021-1268
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • xen >= 4.7.6_14-43.76.1
  • xen-doc-html >= 4.7.6_14-43.76.1
  • xen-libs >= 4.7.6_14-43.76.1
  • xen-libs-32bit >= 4.7.6_14-43.76.1
  • xen-tools >= 4.7.6_14-43.76.1
  • xen-tools-domU >= 4.7.6_14-43.76.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2021-1268
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • xen >= 4.7.6_14-43.76.1
  • xen-doc-html >= 4.7.6_14-43.76.1
  • xen-libs >= 4.7.6_14-43.76.1
  • xen-libs-32bit >= 4.7.6_14-43.76.1
  • xen-tools >= 4.7.6_14-43.76.1
  • xen-tools-domU >= 4.7.6_14-43.76.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2021-1268
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • xen >= 4.9.4_16-3.83.1
  • xen-doc-html >= 4.9.4_16-3.83.1
  • xen-libs >= 4.9.4_16-3.83.1
  • xen-libs-32bit >= 4.9.4_16-3.83.1
  • xen-tools >= 4.9.4_16-3.83.1
  • xen-tools-domU >= 4.9.4_16-3.83.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2021-1252
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • xen >= 4.9.4_16-3.83.1
  • xen-doc-html >= 4.9.4_16-3.83.1
  • xen-libs >= 4.9.4_16-3.83.1
  • xen-libs-32bit >= 4.9.4_16-3.83.1
  • xen-tools >= 4.9.4_16-3.83.1
  • xen-tools-domU >= 4.9.4_16-3.83.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2021-1252
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • xen >= 4.9.4_16-3.83.1
  • xen-doc-html >= 4.9.4_16-3.83.1
  • xen-libs >= 4.9.4_16-3.83.1
  • xen-libs-32bit >= 4.9.4_16-3.83.1
  • xen-tools >= 4.9.4_16-3.83.1
  • xen-tools-domU >= 4.9.4_16-3.83.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2021-1252
SUSE Linux Enterprise Server 12 SP4-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-ESPOS
  • xen >= 4.11.4_16-2.51.1
  • xen-doc-html >= 4.11.4_16-2.51.1
  • xen-libs >= 4.11.4_16-2.51.1
  • xen-libs-32bit >= 4.11.4_16-2.51.1
  • xen-tools >= 4.11.4_16-2.51.1
  • xen-tools-domU >= 4.11.4_16-2.51.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2021-1251
SUSE Linux Enterprise Server 12 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-LTSS
  • xen >= 4.11.4_16-2.51.1
  • xen-doc-html >= 4.11.4_16-2.51.1
  • xen-libs >= 4.11.4_16-2.51.1
  • xen-libs-32bit >= 4.11.4_16-2.51.1
  • xen-tools >= 4.11.4_16-2.51.1
  • xen-tools-domU >= 4.11.4_16-2.51.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2021-1251
SUSE Linux Enterprise Server 15-LTSS
  • xen >= 4.10.4_24-3.56.1
  • xen-devel >= 4.10.4_24-3.56.1
  • xen-libs >= 4.10.4_24-3.56.1
  • xen-tools >= 4.10.4_24-3.56.1
  • xen-tools-domU >= 4.10.4_24-3.56.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-1250
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xen >= 4.7.6_14-43.76.1
  • xen-doc-html >= 4.7.6_14-43.76.1
  • xen-libs >= 4.7.6_14-43.76.1
  • xen-libs-32bit >= 4.7.6_14-43.76.1
  • xen-tools >= 4.7.6_14-43.76.1
  • xen-tools-domU >= 4.7.6_14-43.76.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2021-1268
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xen >= 4.9.4_16-3.83.1
  • xen-doc-html >= 4.9.4_16-3.83.1
  • xen-libs >= 4.9.4_16-3.83.1
  • xen-libs-32bit >= 4.9.4_16-3.83.1
  • xen-tools >= 4.9.4_16-3.83.1
  • xen-tools-domU >= 4.9.4_16-3.83.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2021-1252
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • xen >= 4.11.4_16-2.51.1
  • xen-doc-html >= 4.11.4_16-2.51.1
  • xen-libs >= 4.11.4_16-2.51.1
  • xen-libs-32bit >= 4.11.4_16-2.51.1
  • xen-tools >= 4.11.4_16-2.51.1
  • xen-tools-domU >= 4.11.4_16-2.51.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2021-1251
SUSE Linux Enterprise Server for SAP Applications 15
  • xen >= 4.10.4_24-3.56.1
  • xen-devel >= 4.10.4_24-3.56.1
  • xen-libs >= 4.10.4_24-3.56.1
  • xen-tools >= 4.10.4_24-3.56.1
  • xen-tools-domU >= 4.10.4_24-3.56.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-1250
SUSE OpenStack Cloud 7
  • xen >= 4.7.6_14-43.76.1
  • xen-doc-html >= 4.7.6_14-43.76.1
  • xen-libs >= 4.7.6_14-43.76.1
  • xen-libs-32bit >= 4.7.6_14-43.76.1
  • xen-tools >= 4.7.6_14-43.76.1
  • xen-tools-domU >= 4.7.6_14-43.76.1
Patchnames:
SUSE-OpenStack-Cloud-7-2021-1268
SUSE OpenStack Cloud 8
  • xen >= 4.9.4_16-3.83.1
  • xen-doc-html >= 4.9.4_16-3.83.1
  • xen-libs >= 4.9.4_16-3.83.1
  • xen-libs-32bit >= 4.9.4_16-3.83.1
  • xen-tools >= 4.9.4_16-3.83.1
  • xen-tools-domU >= 4.9.4_16-3.83.1
Patchnames:
SUSE-OpenStack-Cloud-8-2021-1252
SUSE OpenStack Cloud 9
  • xen >= 4.11.4_16-2.51.1
  • xen-doc-html >= 4.11.4_16-2.51.1
  • xen-libs >= 4.11.4_16-2.51.1
  • xen-libs-32bit >= 4.11.4_16-2.51.1
  • xen-tools >= 4.11.4_16-2.51.1
  • xen-tools-domU >= 4.11.4_16-2.51.1
Patchnames:
SUSE-OpenStack-Cloud-9-2021-1251
SUSE OpenStack Cloud Crowbar 8
  • xen >= 4.9.4_16-3.83.1
  • xen-doc-html >= 4.9.4_16-3.83.1
  • xen-libs >= 4.9.4_16-3.83.1
  • xen-libs-32bit >= 4.9.4_16-3.83.1
  • xen-tools >= 4.9.4_16-3.83.1
  • xen-tools-domU >= 4.9.4_16-3.83.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2021-1252
SUSE OpenStack Cloud Crowbar 9
  • xen >= 4.11.4_16-2.51.1
  • xen-doc-html >= 4.11.4_16-2.51.1
  • xen-libs >= 4.11.4_16-2.51.1
  • xen-libs-32bit >= 4.11.4_16-2.51.1
  • xen-tools >= 4.11.4_16-2.51.1
  • xen-tools-domU >= 4.11.4_16-2.51.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-1251
openSUSE Leap 15.3 SLE Imports
  • xen >= 4.10.4_24-3.56.1
  • xen-debugsource >= 4.10.4_24-3.56.1
  • xen-devel >= 4.10.4_24-3.56.1
  • xen-doc-html >= 4.10.4_24-3.56.1
  • xen-libs >= 4.10.4_24-3.56.1
  • xen-libs-32bit >= 4.10.4_24-3.56.1
  • xen-libs-32bit-debuginfo >= 4.10.4_24-3.56.1
  • xen-libs-64bit >= 4.10.4_24-3.56.1
  • xen-libs-64bit-debuginfo >= 4.10.4_24-3.56.1
  • xen-libs-debuginfo >= 4.10.4_24-3.56.1
  • xen-tools >= 4.10.4_24-3.56.1
  • xen-tools-debuginfo >= 4.10.4_24-3.56.1
  • xen-tools-domU >= 4.10.4_24-3.56.1
  • xen-tools-domU-debuginfo >= 4.10.4_24-3.56.1
Patchnames:
SUSE-2021-1250


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 xen Released
SUSE CaaS Platform 4.0 xen Not affected
SUSE Enterprise Storage 6 xen Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 xen Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS xen Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS xen Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 xen Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP2 xen Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 xen Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP2 xen Not affected
SUSE Linux Enterprise Point of Service 11 SP3 xen Not affected
SUSE Linux Enterprise Point of Service Image Server 12 xen Released
SUSE Linux Enterprise Server 11 SP4 LTSS xen Not affected
SUSE Linux Enterprise Server 12 SP2 BCL xen Released
SUSE Linux Enterprise Server 12 SP2 ESPOS xen Released
SUSE Linux Enterprise Server 12 SP2 LTSS xen Released
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON xen Released
SUSE Linux Enterprise Server 12 SP2 LTSS SAP xen Released
SUSE Linux Enterprise Server 12 SP3 BCL xen Released
SUSE Linux Enterprise Server 12 SP3 ESPOS xen Released
SUSE Linux Enterprise Server 12 SP3 LTSS xen Released
SUSE Linux Enterprise Server 12 SP4 ESPOS xen Released
SUSE Linux Enterprise Server 12 SP4 LTSS xen Released
SUSE Linux Enterprise Server 12 SP5 xen Not affected
SUSE Linux Enterprise Server 15 LTSS xen Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux xen Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS xen Not affected
SUSE Linux Enterprise Server ESPOS 15 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xen Not affected
SUSE Linux Enterprise Server for SAP Applications 15 xen Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 xen Not affected
SUSE Manager Proxy 4.0 xen Not affected
SUSE Manager Retail Branch Server 4.0 xen Not affected
SUSE Manager Server 4.0 xen Not affected
SUSE OpenStack Cloud 7 xen Released
SUSE OpenStack Cloud 8 xen Released
SUSE OpenStack Cloud 9 xen Released
SUSE OpenStack Cloud Crowbar 8 xen Released
SUSE OpenStack Cloud Crowbar 9 xen Released